#/bin/bash 

# This will install ORDS in the database and must be run by a DBA or someone with access to the SYS password
# See README.md for more details

if [ $# -ne 3 ] ; then
	echo "Usage: $0 <dbhost> <dbport> <dbservice>"
	exit 1
fi

dbhost=$1
dbport=$2
dbservice=$3

ords_url='https://download.oracle.com/otn_software/java/ords/ords-latest.zip'
ords_file=ords-latest.zip
tmpdir=${PWD}/tmp${RANDOM}
olddir=$PWD
passwordfile=${tmpdir}/passw${RANDOM}.txt

rm -rf $tmpdir
mkdir $tmpdir

read -s -p "Password for SYS: " sys_password
echo
read -s -p "Password for ORDS_PUBLIC_USER:" ords_password
echo
echo $sys_password > $passwordfile
echo $ords_password >> $passwordfile

# todo: better check for file, HEAD or similar
if [ ! -r $ords_file ]; then
	echo Downloading from $ords_url
	wget -q $ords_url
fi

cd $tmpdir
echo Unzipping $ords_file
unzip -q ${olddir}/$ords_file

echo Verify and get version of ORDS
bin/ords --version 2>/dev/null | tail -1
echo Starting installation
bin/ords --config $olddir/ordsconf install  --admin-user SYS --proxy-user --db-hostname $dbhost \
    --db-port $dbport --db-servicename $dbservice --log-folder ${tmpdir}/tmp/ --feature-sdw true \
    --pdb-skip-readonly --password-stdin < $passwordfile



cd $olddir
rm -rf $tmpdir


